> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invopop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize enrollment

> Authenticate using application credentials and a specific owner ID, token, or enrollment.
(Only Applications!)



## OpenAPI

````yaml POST /access/v1/enrollment/authorize
openapi: 3.0.0
info:
  contact:
    email: dev@invopop.com
    name: Invopop Developers
  description: >-
    The Invopop Access service offers endpoints for accessing data related to
    accessing the service.
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Access Service API
  version: 1.0.0
servers:
  - description: production
    url: https://api.invopop.com
security: []
paths:
  /access/v1/enrollment/authorize:
    post:
      description: >-
        Authenticate using application credentials and a specific owner ID,
        token, or enrollment.

        (Only Applications!)
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccessAuthorizeEnrollment'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AccessEnrollment'
          description: OK
components:
  schemas:
    AccessAuthorizeEnrollment:
      properties:
        client_id:
          description: The ID of the application that is being enrolled.
          example: XzhLPeXCi3GBVg
          title: Client ID
          type: string
        client_secret:
          description: The secret key of the application that is being enrolled.
          example: p2NWtVpuDxDYt41crWUBmQKaE4Mh92roDxp_8UKkIJY
          title: Client Secret
          type: string
        id:
          description: >-
            The ID of the enrollment to authorize to use as an alternative to
            the owner ID.
          example: 01950020-daef-7d75-b1ba-33e7e392a658
          title: ID
          type: string
        owner_id:
          description: >-
            The ID of the entity that owns the enrollment. It is essential this
            is provided from a trusted source or an auth token is provided in
            the headers.
          example: 347c5b04-cde2-11ed-afa1-0242ac120002
          title: Owner ID
          type: string
      type: object
    AccessEnrollment:
      properties:
        app_id:
          description: ID of the application associated with the enrollment.
          example: 01900e17-db4d-78a5-8505-c93ae63e8a0d
          title: Application ID
          type: string
        created_at:
          description: The date and time the enrollment was created.
          example: '2018-01-01T00:00:00.000Z'
          title: Created At
          type: string
        data:
          description: Additional data associated with the enrollment.
          example:
            key: value
          title: Data
        disabled:
          description: Whether the enrollment is disabled.
          example: false
          title: Disabled
          type: boolean
        id:
          description: UUID of the enrollment.
          example: 01950020-daef-7d75-b1ba-33e7e392a658
          title: ID
          type: string
        owner_id:
          description: The ID of the entity that owns the enrollment.
          example: 347c5b04-cde2-11ed-afa1-0242ac120002
          title: Owner ID
          type: string
        sandbox:
          description: Indicates if the enrollment's workspace is in a sandbox environment.
          example: false
          title: Sandbox
          type: boolean
        token:
          description: >-
            A token that may be used to authenticate the enrollment with API
            operations.
          title: Token
          type: string
        token_expires:
          description: The expiration unix timestamp of the token.
          example: 1680000000
          title: Token Expires
          type: integer
        updated_at:
          description: The date and time the enrollment was last updated.
          example: '2018-01-01T00:00:00.000Z'
          title: Updated At
          type: string
      type: object

````